mib: ALCATEL-IND1-CHASSIS-MIB:ALCATEL-IND1-HEALTH-MIB:ALCATEL-IND1-PORT-MIB:ALCATEL-IND1-VIRTUAL-CHASSIS-MIB:ALCATEL-IND1-LAG-MIB
modules:
    mempools:
        data:
            -
                total: ALCATEL-IND1-SYSTEM-MIB::systemHardwareMemorySize
                percent_used: ALCATEL-IND1-HEALTH-MIB::healthModuleMemory1MinAvg
                precision: 1024
                descr: 'Device Memory'
                skip_values:
                    -
                        oid: ALCATEL-IND1-SYSTEM-MIB::systemHardwareMemorySize
                        op: '<='
                        value: 0
    os:
        sysDescr_regex: '/(?<hardware>OS\S+)? ?(?<version>\d+\.\d+\.\S+)/'
    processors:
        data:
            -
                oid: healthModuleCpu1MinAvg
                num_oid: '.1.3.6.1.4.1.6486.801.1.2.1.16.1.1.1.1.1.11.0'  # force to CMM oid
                index: 0
    sensors:
        pre-cache:
            data:
                -
                    oid:
                        - ifName
                        - entPhysicalName
                        - alclnkaggAggNumber
        current:
            data:
                -
                    oid: ddmPortInfoTable
                    value: ddmPortTxBiasCurrent
                    num_oid: '.1.3.6.1.4.1.6486.801.1.2.1.5.1.1.2.6.1.12.{{ $index }}'
                    descr: '{{ $ifName }} TX Bias'
                    divisor: 1000
                    low_limit: ddmPortTxBiasCurrentLowAlarm
                    low_warn_limit: ddmPortTxBiasCurrentLowWarning
                    high_limit: ddmPortTxBiasCurrentHiAlarm
                    warn_limit: ddmPortTxBiasCurrentHiWarning
                    entPhysicalIndex_measured: ports
                    entPhysicalIndex: '{{ $subindex0 }}'
                    skip_values: 0
        dbm:
            data:
                -
                    oid: ddmPortInfoTable
                    value: ddmPortRxOpticalPower
                    num_oid: '.1.3.6.1.4.1.6486.801.1.2.1.5.1.1.2.6.1.22.{{ $index }}'
                    descr: '{{ $ifName }} RX Power'
                    divisor: 1000
                    index: 'rx-{{ $index }}'
                    low_limit: ddmPortRxOpticalPowerLowAlarm
                    low_warn_limit: ddmPortRxOpticalPowerLowWarning
                    high_limit: ddmPortRxOpticalPowerHiAlarm
                    warn_limit: ddmPortRxOpticalPowerHiWarning
                    entPhysicalIndex_measured: ports
                    entPhysicalIndex: '{{ $subindex0 }}'
                    skip_values:
                        -
                            oid: ddmPortRxOpticalPower
                            op: '='
                            value: -2147483648
                        -
                            oid: ddmPortTxOutputPower
                            op: '='
                            value: 0

                -
                    oid: ddmPortInfoTable
                    value: ddmPortTxOutputPower
                    num_oid: '.1.3.6.1.4.1.6486.801.1.2.1.5.1.1.2.6.1.17.{{ $index }}'
                    descr: '{{ $ifName }} TX Power'
                    divisor: 1000
                    index: 'tx-{{ $index }}'
                    low_limit: ddmPortTxOutputPowerLowAlarm
                    low_warn_limit: ddmPortTxOutputPowerLowWarning
                    high_limit: ddmPortTxOutputPowerHiAlarm
                    warn_limit: ddmPortTxOutputPowerHiWarning
                    entPhysicalIndex_measured: ports
                    entPhysicalIndex: '{{ $subindex0 }}'
                    skip_values:
                        -
                            oid: ddmPortRxOpticalPower
                            op: '='
                            value: 0
                        -
                            oid: ddmPortTxOutputPower
                            op: '='
                            value: 0
        fanspeed:
            data:
                -
                    oid: alaChasEntPhysFanTable
                    value: alaChasEntPhysFanSpeed
                    num_oid: '.1.3.6.1.4.1.6486.801.1.1.1.3.1.1.11.1.4.{{ $index }}'
                    descr: 'CHASSIS-{{ $entPhysicalName }} Fan {{ $subindex1 }}'
                    low_limit: 1000
                    high_limit: 15000
                    skip_values:
                        -
                            oid: alaChasEntPhysFanAirflow
                            op: '='
                            value: 2
        state:
            data:
                -
                    oid: chasControlModuleTable
                    value: chasControlCertifyStatus
                    num_oid: '.1.3.6.1.4.1.6486.801.1.1.1.3.1.1.1.1.4.{{ $index }}'
                    descr: 'Certify/Restore Status'
                    group: Chassis
                    index: 'chasControlCertifyStatus.1'
                    state_name: chasControlCertifyStatus
                    states:
                        - { value: 1, generic: 2, graph: 1, descr: Unknown }
                        - { value: 2, generic: 1, graph: 1, descr: Need Certify }
                        - { value: 3, generic: 0, graph: 1, descr: Certified }
                -
                    oid: chasControlModuleTable
                    value: chasControlSynchronizationStatus
                    num_oid: '.1.3.6.1.4.1.6486.801.1.1.1.3.1.1.1.1.6.{{ $index }}'
                    descr: 'Flash Between CMMs'
                    group: Chassis
                    index: 'chasControlSynchronizationStatus.1'
                    state_name: chasControlSynchronizationStatus
                    states:
                        - { value: 1, generic: 2, graph: 1, descr: Unknown }
                        - { value: 2, generic: 1, graph: 1, descr: Mono Control Module }
                        - { value: 3, generic: 1, graph: 1, descr: Not Synchronized }
                        - { value: 4, generic: 0, graph: 1, descr: Synchronized }
                -
                    oid: alclnkaggAggNbrAttachedPorts
                    value: alclnkaggAggNbrAttachedPorts
                    num_oid: '.1.3.6.1.4.1.6486.801.1.2.1.13.1.1.1.1.1.19.{{ $index }}'
                    descr: 'LACP Number {{ $alclnkaggAggNumber }}'
                    index: 'alclnkaggAggNbrAttachedPorts.{{ $index }}'
                    group: LACP
                    state_name: alclnkaggAggNbrAttachedPorts
                    states:
                        - { value: 1, generic: 1, graph: 1, descr: Not Redundant }
                        - { value: 2, generic: 0, graph: 1, descr: Redundant (2) }
                        - { value: 3, generic: 0, graph: 1, descr: Redundant (3) }
                        - { value: 4, generic: 0, graph: 1, descr: Redundant (4) }
                        - { value: 5, generic: 0, graph: 1, descr: Redundant (5) }
                        - { value: 6, generic: 0, graph: 1, descr: Redundant (6) }
                        - { value: 7, generic: 0, graph: 1, descr: Redundant (7) }
                        - { value: 8, generic: 0, graph: 1, descr: Redundant (8) }
                    skip_values:
                        -
                            oid: alclnkaggAggNbrAttachedPorts
                            op: '='
                            value: 0

                -
                    oid: alaChasEntPhysFanTable
                    value: alaChasEntPhysFanStatus
                    num_oid: '.1.3.6.1.4.1.6486.801.1.1.1.3.1.1.11.1.2.{{ $index }}'
                    descr: 'CHASSIS-{{ $entPhysicalName }} Fan {{ $subindex1 }}'
                    group: Fans
                    index: 'alaChasEntPhysFanStatus.{{ $index }}'
                    state_name: alaChasEntPhysFanStatus
                    states:
                        - { value: 0, generic: 2, graph: 1, descr: no-error }
                        - { value: 1, generic: 1, graph: 1, descr: notRunning }
                        - { value: 2, generic: 0, graph: 1, descr: running }
                -
                    oid: chasEntPhysOperStatus
                    num_oid: '.1.3.6.1.4.1.6486.801.1.1.1.1.1.1.1.2.{{ $index }}'
                    descr: '{{ $entPhysicalName }}'
                    group: Components
                    index: 'chasEntPhysOperStatus.{{ $index }}'
                    states:
                        - { value: 1, generic: 0, graph: 1, descr: Up }
                        - { value: 2, generic: 2, graph: 1, descr: Down }
                        - { value: 3, generic: 3, graph: 1, descr: Testing }
                        - { value: 4, generic: 3, graph: 1, descr: Unknown }
                        - { value: 5, generic: 0, graph: 1, descr: Secondary }
                        - { value: 6, generic: 2, graph: 1, descr: NotPresent }
                        - { value: 7, generic: 2, graph: 1, descr: UnPowered }
                        - { value: 8, generic: 0, graph: 1, descr: Master }
                        - { value: 9, generic: 0, graph: 1, descr: Idle }
                        - { value: 10, generic: 0, graph: 1, descr: PwrSave }
                    skip_values:
                        -
                            oid: entPhysicalName
                            op: 'regex'
                            value: '/TRANSCEIVER/'
                -
                    oid: virtualChassisStatus
                    num_oid: '.1.3.6.1.4.1.6486.801.1.2.1.69.1.1.2.1.5.{{ $index }}'
                    descr: 'Virtual-Chassis Unit {{ $index }}'
                    group: Virtual Chassis
                    index: 'virtualChassisStatus.{{ $index }}'
                    states:
                        - { value: 0, generic: 0, graph: 1, descr: Init }
                        - { value: 1, generic: 0, graph: 1, descr: Running }
                        - { value: 2, generic: 2, graph: 1, descr: Invalid Chassis Id }
                        - { value: 3, generic: 2, graph: 1, descr: Hello Down }
                        - { value: 4, generic: 2, graph: 1, descr: Duplicate Chassis Id }
                        - { value: 5, generic: 2, graph: 1, descr: Mismatch Image }
                        - { value: 6, generic: 2, graph: 1, descr: Mismatch Chassis Type }
                        - { value: 7, generic: 2, graph: 1, descr: Mismatch Hello Interval }
                        - { value: 8, generic: 2, graph: 1, descr: Mismatch Control Vlan }
                        - { value: 9, generic: 2, graph: 1, descr: Mismatch Group }
                        - { value: 10, generic: 2, graph: 1, descr: Mismatch License Config }
                        - { value: 11, generic: 2, graph: 1, descr: Invalid License }
                        - { value: 12, generic: 2, graph: 1, descr: Split Topology }
                        - { value: 13, generic: 2, graph: 1, descr: Command Shutdown }
                        - { value: 14, generic: 2, graph: 1, descr: Failure Shutdown }
                -
                    oid: virtualChassisVflMemberPortOperStatus
                    num_oid: '.1.3.6.1.4.1.6486.801.1.2.1.69.1.1.7.1.3.{{ $index }}'
                    descr: 'Virtual-Chassis Port {{ $ifName:2 }}'
                    group: Virtual Chassis
                    index: 'virtualChassisVflMemberPortOperStatus.{{ $index }}'
                    states:
                        - { value: 0, generic: 1, graph: 1, descr: Disabled }
                        - { value: 2, generic: 2, graph: 1, descr: Down }
                        - { value: 1, generic: 0, graph: 1, descr: Up }
                    entPhysicalIndex_measured: ports
                    entPhysicalIndex: '{{ $subindex2 }}'
        temperature:
            data:
                -
                    oid: chasChassisEntry
                    value: chasCPMAHardwareBoardTemp
                    num_oid: '.1.3.6.1.4.1.6486.801.1.1.1.3.1.1.3.1.8.{{ $index }}'
                    descr: '{{ $entPhysicalName }} Temperature'
                    group: Chassis
                    index: 'chasCPMAHardwareBoardTemp.{{ $index }}'
                    high_limit: chasDangerTempThreshold
                    warn_limit: chasTempThreshold
                -
                    oid: ddmPortInfoTable
                    value: ddmPortTemperature
                    num_oid: '.1.3.6.1.4.1.6486.801.1.2.1.5.1.1.2.6.1.2.{{ $index }}'
                    low_limit: ddmPortTempLowAlarm
                    low_warn_limit: ddmPortTempLowWarning
                    high_limit: ddmPortTempHiAlarm
                    warn_limit: ddmPortTempHiWarning
                    divisor: 1000
                    descr: '{{ $ifName }} DDM Temperature'
                    group: DDM
                    index: 'rx.{{ $index }}'
                    entPhysicalIndex_measured: ports
                    entPhysicalIndex: '{{ $subindex0 }}'
                    skip_values: 0
        voltage:
            data:
                -
                    oid: ddmPortInfoTable
                    value: ddmPortSupplyVoltage
                    num_oid: '.1.3.6.1.4.1.6486.801.1.2.1.5.1.1.2.6.1.7.{{ $index }}'
                    descr: '{{ $ifName }} TX Voltage'
                    divisor: 1000
                    low_limit: ddmPortSupplyVoltageLowAlarm
                    low_warn_limit: ddmPortSupplyVoltageLowWarning
                    high_limit: ddmPortSupplyVoltageHiAlarm
                    warn_limit: ddmPortSupplyVoltageHiWarning
                    entPhysicalIndex_measured: ports
                    entPhysicalIndex: '{{ $subindex0 }}'
                    skip_values: 0

